## LassoIsSelect LassoIsSelect — <is:Select> |

## Functions

#define | LASSO_IS_IS_SELECT()
LassoIsSelect * | lasso_is_select_new ()

## Types and Values

struct | LassoIsSelect

## Description

Figure 202. Schema fragment for is:Select

    <xs:complexType name="SelectType">
      <xs:complexContent>
        <xs:extension base="InquiryElementType">
          <xs:sequence>
            <xs:element name="Item" minOccurs="2" maxOccurs="unbounded">
              <xs:complexType>
                <xs:sequence>
                  <xs:element ref="Hint" minOccurs="0"/>
                </xs:sequence>
                <xs:attribute name="label" type="xs:string" use="optional"/>
                <xs:attribute name="value" type="xs:NMTOKEN" use="required"/>
              </xs:complexType>

## Functions

### LASSO_IS_IS_SELECT()

    #define LASSO_IS_IS_SELECT(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), LASSO_TYPE_IS_SELECT))

### lasso_is_select_new ()

    LassoIsSelect *
    lasso_is_select_new (void);

## Types and Values

### struct LassoIsSelect

    struct LassoIsSelect {
    	LassoNode parent; /* FIXME : must inherit of InquiryElement class */

    	GList *Item; /* of LassoNode */

    	gboolean multiple;
    };